filelen
Prev | Orchestra Opcodes and Operators | Next

## filelen

filelen — Returns the length of a sound file.

## Description

Returns the length of a sound file.

## Syntax

    ir filelen ifilcod, [iallowraw]

## Initialization

ifilcod -- sound file to be queried

iallowraw -- Allow raw sound files (default=1)

## Performance

filelen returns the length of the sound file ifilcod in seconds. filelen can return the length of convolve and PVOC files if the "allow raw sound file" flag is not zero (it is non-zero by default).

## Examples

Here is an example of the filelen opcode. It uses the file filelen.csd, and mary.wav.

Example 147. Example of the filelen opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o filelen.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Print out the length of the audio file
      ; "mary.wav" in seconds.
      ilen  filelen "mary.wav"
      print ilen
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for 1 second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

The audio file “mary.wav” is 3.5 seconds long. So filelen's output should include a line like this:

    instr 1:  ilen = 3.501

## See Also

filenchnls, filepeak, filesr

## Credits

Author: Matt Ingalls
July 1999

Example written by Kevin Conder.

New in Csound version 3.57

Prev | Up | Next
ficlose | Home | filenchnls